get
https://api.picussecurity.com/v1/apv/simulations//runs
Lists the runs of an APV simulation.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
About
Lists all runs of a simulation with each run's UUID, status and scheduled time, so you can pick a run to query further to fetch simulation run details.
Example
List the runs of simulation {simulation_uuid}.
curl --request GET \
--url https://api.picussecurity.com/v1/apv/simulations/{simulation_uuid}/runs \
--header 'Accept: application/json' \
--header 'Authorization: Bearer access_token'{
"runs": [
{
"scheduled_time": 1655984364000,
"status": "COMPLETED",
"uuid": "{run_uuid_1}"
},
{
"scheduled_time": 1656589164000,
"status": "RUNNING",
"uuid": "{run_uuid_2}"
}
]
}